Job - Archive
Archives a job.
You may want to archive a job when it is complete, cancelled, or replaced. The benefit is that archived jobs are removed from the list of available work on a Field Computer.
HTTP Method and URL
DELETE https://api.raven.engineering/prepopulatedjobs/:jobid
URL Parameters
| Parameter | Description |
|---|---|
| jobId | ID of the Prepopulated Job to (workorderId) returned when creating a Prepopulated Job via a POST to the Slingshot API. |
HTTP Query Parameters
None
HTTP Headers
To learn more about these parameters, read about Authentication.
| Header | Description |
|---|---|
| X-SS-AccessKey | [Required] Token issued to a Slingshot user from the Raven Slingshot Portal Server. |
| X-SS-APIKey | [Required] Token issued to the Slingshot developer from Raven. |
| X-SS-Signature | [Required] The signature generated for a specific request. |
| X-SS-TimeStamp | [Required] The timestamp of when the request was generated. |
Sample Response
{
"status": true,
"errorInfo": "",
"result": "Job archived."
}